Subject: Re: life cycle documentation

From: Ben Harper <[email-masked]>
Date: Mon, 27 Oct 2014 09:52:31 -0500

On 10/24/2014 04:56 PM, brian m. carlson wrote:
> On Thu, Oct 23, 2014 at 05:15:21PM -0500, Ben Harper wrote:
>> Greetings,
>>
>> I am unable to find any documentation regarding the life cycle regarding the
>> various versions of git.  Is only the current version supported?  What about
>> older minor/major versions?  At what point does a version go EOL? Currently,
>> is only 2.1.2 supported?  I would entertain the thought on creating a
>> RELEASES document if the information is provided.
> The development process is outlined at [0].  Usually there's just one
> supported release (at the moment, 2.1.2), although I have occasionally
> seen releases out of order (from different branches).
>
> Having said that, Git developers try very hard not to break things, so
> many people are fine using an older version, such as the ones their
> distros provide.  It is considered courteous to try the latest version
> before reporting a bug, however.
>
> [0] https://github.com/git/git/blob/master/Documentation/howto/maintain-git.txt
Hey Brian,

Thanks for the clarification.  Someone in IRC mentioned the 
maintain-git.txt file.  I skimmed it and searched for some keywords, but 
was unable to find the information I needed.

Do you feel a RELEASES document is needed or is the maintain-git.txt 
file sufficient?

Ben Harper
OS Deployment Services, RPMDEV
Rackspace Hosting & IUS Community